Skip to main content
GET
List Calls

Query Parameters

ai_agent_ids
string[] | null
batch_call_id
string | null

Filter calls by a specific batch call ID to retrieve all calls associated with that batch.

start_time_before
string<date-time> | null
start_time_after
string<date-time> | null
end_time_before
string<date-time> | null
end_time_after
string<date-time> | null
sort_direction
string
default:desc
Pattern: ^(asc|desc)$
page_size
integer
default:100
Required range: 1 <= x <= 1000
page_token
string | null

Response

Successful Response

calls
(WebCallResponse · object | PhoneCallResponse · object)[]
required

List of call records, can include both web and phone calls

next_page_token
string | null

Token for retrieving the next page of results in paginated responses

total_count
integer | null

Total number of calls matching the query criteria